Bug 167713

Summary: JJ: Check support for XPM files
Product: [Applications] krita Reporter: Markus Elfring <Markus.Elfring>
Component: GeneralAssignee: Krita Bugs <krita-bugs-null>
Status: RESOLVED FIXED    
Severity: wishlist CC: finex, halla
Priority: NOR Keywords: junior-jobs, testcase, triaged
Version: unspecified   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: PixMap test file

Description Markus Elfring 2008-07-30 10:30:50 UTC
Version:           1.6.3 (using KDE 3.5.9)
Installed from:    SuSE RPMs
OS:                Linux

I converted a part of a picture to an X pixel map with 105717 colours by the GNU image manipulation program.
This file "iejl9j-sunset-GIMP.xpm" can not be loaded because of an internal error. Would you like to support such files that contain 3 character wide "pixels"?
Comment 1 Halla Rempt 2008-07-30 10:33:18 UTC
I would love a patch -- right now, xpm support is done through GraphicsMagick, which
is fairly limited. It shouldn't be all that hard to write a dedicated import/export filter
for xpm.
Comment 2 Markus Elfring 2008-07-30 10:42:28 UTC
Created attachment 26490 [details]
PixMap test file

Example:
http://www.earthscienceworld.org/images/search/results.html?ImageID=iejl9j

When will the converted image be instantly loaded by GIMP and Krita?
Comment 3 Dominik Tritscher 2008-10-26 17:40:01 UTC
Krita 2.0 beta2 doesn't support xpm at all. It doesn't show them in the file selection dialog, starting krita from command line with the file as parameter gives me the import filter dialog.
I thin we make this report a wishlist item.
Comment 4 Halla Rempt 2008-10-26 17:52:48 UTC
We do support xpm, but only through graphicsmagick, for which we need an old an obsolete version. This sucks.
Comment 5 Halla Rempt 2009-03-23 12:15:54 UTC
This actually should be a feature request: implement proper xpm support outside of GraphicsMagick. It's a really simple file format, so it is suitable as a Junior Job.
Comment 6 Halla Rempt 2011-06-03 22:17:50 UTC
Git commit e891dace2586104ad6fd08c7cf7c0e56d37b3a16 by Boudewijn Rempt.
Committed on 03/06/2011 at 22:04.
Pushed by rempt into branch 'master'.

Abuse the bmp filter for some other simple formats

BMP, GIF, XPM, XBM are file formats we don't want to spend much time on.
Krita is not for such files. So abuse the Qt support for those file formats
like we used to abuse GraphicsMagick or ImageMagick and that's it -- if
Qt cannot open these files, it's better to convert them using another
application before importing in Krita.

This also removes my gif filer which never worked really well.
BUG: 167713
BUG: 270634
BUG: 263987

M  +0    -7    krita/plugins/formats/CMakeLists.txt     
M  +1    -1    krita/plugins/formats/bmp/kis_bmp_import.cpp     
M  +1    -1    krita/plugins/formats/bmp/krita_bmp.desktop     
M  +1    -1    krita/plugins/formats/bmp/krita_bmp_export.desktop     
M  +1    -1    krita/plugins/formats/bmp/krita_bmp_import.desktop     
D  +0    -38   krita/plugins/formats/gif/CMakeLists.txt     
D  +0    -454  krita/plugins/formats/gif/gif_converter.cpp     
D  +0    -97   krita/plugins/formats/gif/gif_converter.h     
D  +0    -96   krita/plugins/formats/gif/gif_export.cpp     
D  +0    -34   krita/plugins/formats/gif/gif_export.h     
D  +0    -96   krita/plugins/formats/gif/gif_import.cpp     
D  +0    -34   krita/plugins/formats/gif/gif_import.h     
D  +0    -58   krita/plugins/formats/gif/kis_gif_writer_visitor.cpp     
D  +0    -80   krita/plugins/formats/gif/kis_gif_writer_visitor.h     
D  +0    -72   krita/plugins/formats/gif/krita_gif.desktop     
D  +0    -36   krita/plugins/formats/gif/krita_gif_export.desktop     
D  +0    -36   krita/plugins/formats/gif/krita_gif_import.desktop     
D  +-    --    krita/plugins/formats/gif/test.gif     

http://commits.kde.org/calligra/e891dace2586104ad6fd08c7cf7c0e56d37b3a16